#ifdef __KERNEL__
#include <linux/time.h>
#else
#include <sys/time.h>
#endif

#ifndef WLANSNIFF_AIRO
#define WLANSNIFF_AIRO

//***** APWARE

#pragma pack(1)
struct  linux_airo_rxcnt_hdr {
    u32 rxtime;   
    u16 status;
    u16 len;
    u8 rssi[2];   
#define AIRO_SIGNAL_QUALITY  0
#define AIRO_SIGNAL_STRENGTH 1
    u8 rate;
    u8 freq;
    u32 rxassoc_rsv;
    u32 plcp;
};

struct linux_wlansniff_airo_rxhdr {
    struct linux_airo_rxcnt_hdr airo_hdr;
    //struct timeval timestamp;
    //u16 status;
};


/* TODO: need to verify the field offsets */
struct linux_airo_txcnt_hdr {
    u32 swsupport;  
    u16 status;
    u16 len;
    u16 txctl;   
    u16 aid;
    u8 retry[2];
#define AIRO_RETRY_SHORT 0
#define AIRO_RETRY_LONG  1
    u8 txAssocCount;
    u8 txbitrate;
    u8 maxretries[2];
#define AIRO_MAXRETY_SHORT 0
#define AIRO_MAXRETY_LONG  1
    u8 tmp[2];
};

#pragma pack()
/*
struct linux_wlansniff_airo_txhdr {
    
};
*/

#endif
